<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if( isset($_GET['contenedor']) && $_GET['contenedor'] ) $contenedor=$_GET['contenedor'];
else if(isset($_POST['contenedor']) && $_POST['contenedor']) $contenedor=$_POST['contenedor'];
else $contenedor='';

if( (isset($_GET['comprobarAlmacen']) && $_GET['comprobarAlmacen']) || (isset($_POST['comprobarAlmacen']) && $_POST['comprobarAlmacen']) ) $comprobarAlmacen='S'; else $comprobarAlmacen='';

if( isset($_GET['procedencia']) && $_GET['procedencia'] ) $procedencia=$_GET['procedencia'];
else if( isset($_POST['procedencia']) && $_POST['procedencia'] ) $procedencia=$_POST['procedencia'];
else $procedencia='';

$procedenciaGrabar='';

switch($procedencia) {
	case 'inventario':
		$procedenciaGrabar='InventarioSGA';
		break;
}

$numEntrada=''; // 18-09-2025 esto se usa solo en entrada-mercancia-gs1-proceso.php donde se hace esta llamada directamente sin ajax

$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFOUBI#'.$_SESSION['almacen'].';'.$contenedor.';'.$comprobarAlmacen.';'.$procedenciaGrabar.';'.$numEntrada;

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if(isset($_GET['traza']) && $_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$info=$resultado[0];

if(isset($info['Error']) && $info['Error']) echo 'error#'.$info['Error'];
else {

	$UbicacionActual='';
	$UbicacionPropuesta='';
	$AliasUbicacionActual='';
	$AliasUbicacionPropuesta='';
	$UbicacionActual='';
	$IdPaletCliente='';
	$TipoPalet='';
	$TipoZona='';
	$SSCC='';
	$NumOrdenAgregacion='';
	
	if(isset($info['UbicacionActual'])) $UbicacionActual=$info['UbicacionActual'];
	if(isset($info['UbicacionPropuesta'])) $UbicacionPropuesta=$info['UbicacionPropuesta'];
	if(isset($info['AliasUbicacionActual'])) $AliasUbicacionActual=$info['AliasUbicacionActual'];
	if(isset($info['AliasUbicacionPropuesta'])) $AliasUbicacionPropuesta=$info['AliasUbicacionPropuesta'];
	if(isset($info['UbicacionActual'])) $UbicacionActual=$info['UbicacionActual'];
	if(isset($info['IdPaletCliente'])) $IdPaletCliente=$info['IdPaletCliente'];
	if(isset($info['TipoPalet'])) $TipoPalet=$info['TipoPalet'];
	if(isset($info['TipoZona'])) $TipoZona=$info['TipoZona'];
	if(isset($info['SSCC'])) $SSCC=$info['SSCC'];
	if(isset($info['NumOrdenAgregacion'])) $NumOrdenAgregacion=$info['NumOrdenAgregacion'];
	
	// 13-11-2018 añadimos la ubic actual al final, proque en STG el ajax mete un caracter extraño al principio que lo jode todo
	
	//echo $info['UbicacionActual'].'#'.$info['UbicacionPropuesta'].'#'.$info['AliasUbicacionActual'].'#'.$info['AliasUbicacionPropuesta'].'#'.$info['UbicacionActual'].'#'.$info['IdPaletCliente'].'#'.$info['TipoPalet'].'#'.$info['TipoZona'].'#'.$info['SSCC'].'#'.$info['NumOrdenAgregacion'];
	echo $UbicacionActual.'#'.$UbicacionPropuesta.'#'.$AliasUbicacionActual.'#'.$AliasUbicacionPropuesta.'#'.$UbicacionActual.'#'.$IdPaletCliente.'#'.$TipoPalet.'#'.$TipoZona.'#'.$SSCC.'#'.$NumOrdenAgregacion;
}

?>